.mx_UserPreviewWidget {
    margin-top: 15px;
    margin-right: 15px;
    margin-bottom: 15px;
    display: flex;
    color: #888;
}

.mx_UserPreview {
    cursor: text;
    padding: 5px 10px;

    * {
        vertical-align: middle;
    }

    .mx_UserPreview_avatarStack {
        display: inline-block;
        position: relative;
        width: 48px;
        height: 48px;

        & > * {
            position: absolute;
            top: 0;
            left: 0;
        }
    }

    .mx_UserPreview_selected {
        width: 36px;
        height: 36px;
        border-radius: 36px;
        background-color: $username-variant1-color;
        display: inline-block;
        position: relative;

        &::before {
            content: "";
            width: 24px;
            height: 24px;
            grid-column: 1;
            grid-row: 1;
            mask-image: url("$(res)/img/feather-customised/check.svg");
            mask-size: 100%;
            mask-repeat: no-repeat;
            position: absolute;
            top: 6px; /*  50% */
            left: 6px; /*  50% */
            background-color: #ffffff; /*  this is fine without a var because it's for both themes */
        }
    }

    .mx_UserPreview_nameStack {
        display: inline-block;
        overflow: hidden;
    }

    .mx_UserPreview_name {
        font-weight: 600;
        font-size: $font-14px;
        color: $primary-content;
        margin-left: 7px;
    }

    .mx_UserPreview_userId {
        font-size: $font-12px;
        color: $muted-fg-color;
        margin-left: 7px;
    }

    .mx_UserPreview_name,
    .mx_UserPreview_userId {
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }

    .mx_UserPreview_time {
        text-align: right;
        font-size: $font-12px;
        color: $muted-fg-color;
        float: right;
        line-height: 36px; /*  Height of the avatar to keep the time vertically aligned */
    }

    .mx_UserPreview_highlight {
        font-weight: 900;
    }

    .mx_UserPreview_avatar {
        border-radius: 50%;
        position: relative;
    }
    .mx_UserPreview_threepidAvatar {
        background-color: #ffffff; /*  this is fine without a var because it's for both themes */
    }
}
